<?php
$template = <<<END
<!-- block_index:目次 -->
<section class="block_index">
<!--{def item/title}-->
<h2>{val item/title}</h2>
<!--{/def}-->
<!--{def item/text}-->
<p class="markdown-body">{rval item/text}</p>
<!--{/def}-->
<{val item/mark} class="mokuji-maru">
<!--{each item/list}-->
<li><a href="#{val act}_{val item/list/link}">{val item/list/title}</a></li>
<!--{/each}-->
</{val item/mark}>
</section>
END;

$block_index = array(					// ブロック定義
	"title" => "目次",			// ブロックの名称
	"name" => "block_index",			// 名称、重複すると正しく動作しません
	"template" => $template,		// ブロックのテンプレート
	"input" => array(				// ブロックの入力定義
		"help" => array(
			"title" => "使い方",
			"type" => "comment",
			"link" => DOCUMENT1 . "/?act=block_index",
			"class" => "notice",
		),
		"title" => array(
			"title" => "タイトル",
			"type" => "text",
		),
		"text" => array(
			"title" => "説明",
			"type" => "textarea",
		),
		"mark" => array(
			"title" => "マーク",
			"type" => "select",
			"list" => array(
				"ol" => "連番",
				"ul" => "・",
			),
		),
	),
	"func" => "func_block_index",						// 処理プログラム（指定がない物は標準処理）
);

// パーツの登録
block_add($block_index);

// パーツの設定
function func_block_index($def, $info)
{
	global $page_index;
	global $act;

	$list = array();
	for ($i = 1; $i <= 10; $i++) {	// 最大10ブロック
		$no = "info" . $i;	// ブロックデータの接頭辞
		$title = $page_index[$act][$no . "_title"];	// ブロックのタイトル
		unset($item);
		if (substr($title, 0, 1) == "*") continue;
		if ($title && ($def["name"] != $page_index[$act][$no . "_type"])) {
			$item["info"] = $info;
			$item["title"] = $title;
			$item["link"] = $no;
			$list[] = $item;
		}
	}
	// ここで処理
	$info["list"] = $list;
	return $info;
}
